channelLinks.getChannelLink
GET
/v1/channel-links/{code}
const url = 'https://example.com/v1/channel-links/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/channel-links/example \ --header 'Authorization: Bearer <token>'Shows who a link code is for, so the person can check it before they accept.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”code
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
channel
required
string
channelName
required
string
kind
required
string
externalUserId
required
string
displayName
required
string
expiresAt
required
number
Example
{ "kind": "slack"}OrganizationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "OrganizationRequired"}AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
ChannelLinkInvalid | ChannelIdentityNotFound
@nmnmcc/ability/Authorizer/Pending
Media typeapplication/json
object
_tag
required
string
ticket
required
string
reason
string
Example
{ "_tag": "Pending"}RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}ChannelsUnavailable | AuthenticationUnavailable | RequestFailed